package com.example.calendaryapp;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

import com.android.volley.Request;
import com.android.volley.RequestQueue;
import com.android.volley.Response;
import com.android.volley.VolleyError;
import com.android.volley.toolbox.JsonObjectRequest;
import com.android.volley.toolbox.Volley;

import org.json.JSONException;
import org.json.JSONObject;

public class MinutaActivity extends AppCompatActivity {
    private TextView Texto;
    private Button Lunes,Martes,Miercoles,Jueves,Viernes;
    private RequestQueue mQueue;
    private String AlmLunes,AlmMartes,AlmMiercoles,AlmJueves,AlmViernes;
    private String DietLunes,DietMartes,DietMiercoles,DietJueves,DietViernes;
    private String VegLunes,VegMartes,VegMiercoles,VegJueves,VegViernes;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_minuta);

        Texto = findViewById(R.id.textView);
        Lunes = findViewById(R.id.lunes);
        Martes = findViewById(R.id.martes);
        Miercoles = findViewById(R.id.miercoles);
        Jueves = findViewById(R.id.jueves);
        Viernes = findViewById(R.id.viernes);

        mQueue = Volley.newRequestQueue(this);
        jsonParse();
        //Listeners de botones:
        Lunes.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                //      Texto.clearComposingText();
                Texto.setText("Almuerzo:\n"+AlmLunes+"\n\nDieta:\n"+DietLunes+"\n\nVegetariano:\n"+VegLunes);
            }
        });
        Martes.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Texto.setText("Almuerzo:\n"+AlmMartes+"\n\nDieta:\n"+DietMartes+"\n\nVegetariano:\n"+VegMartes);
            }
        });
        Miercoles.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Texto.setText("Almuerzo:\n"+AlmMiercoles+"\n\nDieta:\n"+DietMiercoles+"\n\nVegetariano:\n"+VegMiercoles);
            }
        });
        Jueves.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Texto.setText("Almuerzo:\n"+AlmJueves+"\n\nDieta:\n"+DietJueves+"\n\nVegetariano:\n"+VegJueves);
            }
        });
        Viernes.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Texto.setText("Almuerzo:\n"+AlmViernes+"\n\nDieta:\n"+DietViernes+"\n\nVegetariano:\n"+VegViernes);
            }
        });
    }

    //jsonParse permite extraer los datos que estan alojados en nuestra URL en formato json
    private void jsonParse() {
        //  String url = "https://api.myjson.com/bins/17ebeb"; //URL donde esta guardado nuestro objeto en formato json
        String url = "https://api.myjson.com/bins/9cd4z";
        JsonObjectRequest request = new JsonObjectRequest(Request.Method.GET, url, null,
                new Response.Listener<JSONObject>() {
                    @Override
                    public void onResponse(JSONObject response) {
                        try {
                            //Una vez tengamos nuestra "response" procedemos a guardar los datos
                            JSONObject diaLunes = response.getJSONObject("Lunes");
                            JSONObject diaMartes = response.getJSONObject("Martes");
                            JSONObject diaMiercoles = response.getJSONObject("Miercoles");
                            JSONObject diaJueves = response.getJSONObject("Jueves");
                            JSONObject diaViernes = response.getJSONObject("Viernes");

                            //Seteamos los datos de los almuerzos
                            AlmLunes = diaLunes.getString("Almuerzos");
                            AlmMartes = diaMartes.getString("Almuerzos");
                            AlmMiercoles = diaMiercoles.getString("Almuerzos");
                            AlmJueves = diaJueves.getString("Almuerzos");
                            AlmViernes = diaViernes.getString("Almuerzos");

                            //Seteamos las dietas
                            DietLunes = diaLunes.getString("Dieta");
                            DietMartes = diaMartes.getString("Dieta");
                            DietMiercoles = diaMiercoles.getString("Dieta");
                            DietJueves = diaJueves.getString("Dieta");
                            DietViernes = diaViernes.getString("Dieta");

                            //Seteamos los vegetarianos
                            VegLunes = diaLunes.getString("Vegetarianos");
                            VegMartes = diaMartes.getString("Vegetarianos");
                            VegMiercoles = diaMiercoles.getString("Vegetarianos");
                            VegJueves = diaJueves.getString("Vegetarianos");
                            VegViernes = diaViernes.getString("Vegetarianos");

                        }
                        catch(JSONException e){
                            e.printStackTrace();
                        }
                    }
                }, new Response.ErrorListener() {
            @Override
            public void onErrorResponse(VolleyError error) {
                error.printStackTrace();
            }
        });
        mQueue.add(request);
    }

}




